class RomBuilder(object):
  def __init__(self):
    self.rom_header = (
      b'\x4e\x45\x53\x1a\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00')
    self.rom_code = (
      b'\x78\xd8\xa0\x40\x8c\x17\x40\x88\xa2\xff\x9a\xe8\x8e\x00\x20\x8e' +
      b'\x01\x20\x8e\x10\x40\x8e\x15\x40\x2c\x02\x20\x10\xfb\x2c\x02\x20' +
      b'\x10\xfb\x8c\x06\x20\xa2\x00\x8e\x06\x20\xbd\x00\xc0\x8d\x07\x20' +
      b'\xe8\xe0\x20\xd0\xf5\x8e\x06\x20\xa2\x00\x8e\x06\x20\xbd\x20\xc0' +
      b'\x8d\x07\x20\xe8\xd0\xf7\xbd\x20\xc1\x8d\x07\x20\xe8\xd0\xf7\xbd' +
      b'\x20\xc2\x8d\x07\x20\xe8\xd0\xf7\xbd\x20\xc3\x8d\x07\x20\xe8\xd0' +
      b'\xf7\x2c\x02\x20\x10\xfb\xa9\x08\x8d\x00\x20\xa9\x1e\x8d\x01\x20' +
      b'\x8e\x05\x20\x8e\x05\x20\x4c\x96\xc4')
    self.rom_vectors = b'\x00\x00\x20\xc4\x00\x00'
    self.fill_size = 0x3b61

  def build(self, mem, outfile):
    fout = open(outfile, 'wb')
    fout.write(self.rom_header)
    fout.write(mem.get_bytes('palette'))
    fout.write(mem.get_bytes('nametable'))
    fout.write(mem.get_bytes('attribute'))
    fout.write(self.rom_code)
    fout.write(bytes(bytearray([0] * self.fill_size)))
    fout.write(self.rom_vectors)
    fout.write(mem.get_bytes('chr'))
    fout.close()
